{ config, pkgs, ... }:
{
  imports = [
    ./hardware-configuration.nix
    ./disk-config.nix
    ./optimized_build.nix
    ./power_management.nix
    ./screen_brightness.nix
    ./wifi.nix
  ];

  # Generate with `head -c4 /dev/urandom | od -A none -t x4`
  networking.hostId = "908cbf04";

  networking.hostName = "odo"; # Define your hostname.

  time.timeZone = "America/New_York";
  i18n.defaultLocale = "en_US.UTF-8";

  me.secureBoot.enable = true;

  # Early KMS
  boot.initrd.kernelModules = [ "amdgpu" ];

  # Mount tmpfs at /tmp
  boot.tmp.useTmpfs = true;

  environment.systemPackages = with pkgs; [
    fw-ectool
  ];

  me.graphical = true;
  me.graphicsCardType = "amd";

  me.sway.enable = true;
}
